<?xml version="1.0" encoding="UTF-8"?>
<EIS_TNR>
    <!--AF instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
    -->

    <!--rear main-->
    <AF camera_position="0" camera_index="2">
        <minLensPosCode>234</minLensPosCode>
        <maxLensPosCode>897</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>6.06</maxLensPos>
    </AF>

    <!--rear wide-->
    <AF camera_position="0" camera_index="4">
        <minLensPosCode>456</minLensPosCode>
        <maxLensPosCode>793</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>6.16</maxLensPos>
    </AF>

    <!--OISSensor instruction
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        driverIC:   -1-default   4-Onsenmi124EP3   5-Onsenmi150   6-Onsenmi128   7-DW9781B   9-RenasasS4H
        gyro_sensor:   -1-default   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260
        actuator_type:   -1-default   1-ACTUATOR_TYPE_TDK   2-ACTUATOR_TYPE_MITSUMI
    -->

    <!--S4H driverIC    ST gyroscope    rear main-->
    <OISSensor camera_index="2" driverIC="9" gyro_sensor="2" actuator_type="-1">
        <translationGainX>-0.76</translationGainX>
        <translationGainY>-0.71</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>2.52</offsetTime>
    </OISSensor>

    <!--S4H driverIC    INVENSENSE gyroscope    rear main-->
    <OISSensor camera_index="2" driverIC="9" gyro_sensor="0" actuator_type="-1">
        <translationGainX>-0.746</translationGainX>
        <translationGainY>-0.6958</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>2.5</offsetTime>
    </OISSensor>

    <!--S4H driverIC    BOSCH gyroscope    rear main-->
    <OISSensor camera_index="2" driverIC="9" gyro_sensor="6" actuator_type="-1">
        <translationGainX>-0.746</translationGainX>
        <translationGainY>-0.6958</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>2.5</offsetTime>
    </OISSensor>

    <!--DW9781B driverIC    ST gyroscope    rear tele-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1">
        <translationGainX>1.076</translationGainX>
        <translationGainY>1.493</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>5.34</offsetTime>
    </OISSensor>

    <!--DW9781B driverIC    INVENSENSE gyroscope    rear tele-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1">
        <translationGainX>1.007</translationGainX>
        <translationGainY>1.493</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>5.31</offsetTime>
    </OISSensor>

    <!--DW9781B driverIC    BOSCH gyroscope    rear tele-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1">
        <translationGainX>1.12</translationGainX>
        <translationGainY>1.493</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>5.275</offsetTime>
    </OISSensor>

    <!--EIS instruction
        camera_position:   0—rear   1-front
        camera_index：   2-main   4-wide   8-tele   16-tele2
        gyro_sensor:   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260
        sensor_mode:   -1-default   30-remosaic   31-binning   32-hdr   33-quadabin
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
        fps:   -1-default   1-30fps   2-60fps   3-auto
        camera_scene：   -1-default   2-dual_video
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
    -->

    <!--ST gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.698</focalLength>
        <gyroOffsetTime>0.407</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear wide-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.473</focalLength>
        <gyroOffsetTime>0.46</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.521</focalLength>
        <gyroOffsetTime>0.736</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear main dual_video-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.903</focalLength>
        <gyroOffsetTime>0.407</gyroOffsetTime>
        <rollingShutterTime>12</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear wide dual_video-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.532</focalLength>
        <gyroOffsetTime>0.46</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele dual_video-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>3.261</focalLength>
        <gyroOffsetTime>0.736</gyroOffsetTime>
        <rollingShutterTime>27.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.475</focalLength>
        <gyroOffsetTime>0.3</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.694</focalLength>
        <gyroOffsetTime>0.500</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.465</focalLength>
        <gyroOffsetTime>0.545</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.502</focalLength>
        <gyroOffsetTime>0.796</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear main dual_video-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.903</focalLength>
        <gyroOffsetTime>0.545</gyroOffsetTime>
        <rollingShutterTime>12</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide dual_video-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.523</focalLength>
        <gyroOffsetTime>0.585</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele dual_video-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>3.236</focalLength>
        <gyroOffsetTime>0.796</gyroOffsetTime>
        <rollingShutterTime>27.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.475</focalLength>
        <gyroOffsetTime>0.500</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.689</focalLength>
        <gyroOffsetTime>0.593</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="0" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.467</focalLength>
        <gyroOffsetTime>0.63</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.483</focalLength>
        <gyroOffsetTime>0.857</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear main dual_video-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.891</focalLength>
        <gyroOffsetTime>0.593</gyroOffsetTime>
        <rollingShutterTime>12</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide dual_video-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="0" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.525</focalLength>
        <gyroOffsetTime>0.63</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear tele dual_video-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>3.212</focalLength>
        <gyroOffsetTime>0.857</gyroOffsetTime>
        <rollingShutterTime>27.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.475</focalLength>
        <gyroOffsetTime>0.69</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ZoomStabilization instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear wide-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="-1">
        <minRatio>0.5888</minRatio>
        <inflectionPoint>0.5888</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 1080p-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="-1">
        <minRatio>2.973808</minRatio>
        <inflectionPoint>4.04437888</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 4k-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="1">
        <minRatio>2.973808</minRatio>
        <inflectionPoint>2.973808</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele full-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="2">
        <minRatio>2.973808</minRatio>
        <inflectionPoint>3.324147</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele full2-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="3">
        <minRatio>2.973808</minRatio>
        <inflectionPoint>3.03328416</inflectionPoint>
    </ZoomStabilization>

    <!--front wide defualt-->
    <ZoomStabilization camera_position="1" camera_index="2" camera_lensType="-1" resolution="-1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.0</inflectionPoint>
    </ZoomStabilization>

    <!--DistortCorrection instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        camera_scene：   -1-default   2-dual_video   9-superEIS
    -->

    <!--rear main KT-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="1" camera_scene="-1">
        <distortRestricWidthRange>4</distortRestricWidthRange>
        <distortRestricHeightRange>2</distortRestricHeightRange>
        <cropRatio>0.9595</cropRatio>
    </DistortCorrection>

    <!--rear main Largn-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="0" camera_scene="-1">
        <distortRestricWidthRange>1.6</distortRestricWidthRange>
        <distortRestricHeightRange>1.6</distortRestricHeightRange>
        <cropRatio>0.94905</cropRatio>
    </DistortCorrection>

    <!--front main-->
    <DistortCorrection camera_position="1" camera_index="2" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>33.34</distortRestricWidthRange>
        <distortRestricHeightRange>18.63</distortRestricHeightRange>
        <cropRatio>0.838</cropRatio>
    </DistortCorrection>

    <RecedeStabilization>
        <dynamicRecedeStabilizationEnable>1</dynamicRecedeStabilizationEnable>        <!--Int -->
        <mainDynamicRecedeEnable>0</mainDynamicRecedeEnable>        <!--Int -->
        <wideDynamicRecedeEnable>1</wideDynamicRecedeEnable>        <!--Int -->
        <teleDynamicRecedeEnable>0</teleDynamicRecedeEnable>        <!--Int -->
        <tele2DynamicRecedeEnable>0</tele2DynamicRecedeEnable>        <!--Int -->
        <motionGain0>0.0</motionGain0>        <!--float -->
        <motionGain1>0.1</motionGain1>        <!--float -->
        <motionGain2>0.2</motionGain2>        <!--float -->
        <motionGain3>0.2</motionGain3>        <!--float -->
        <expoGain0>0.0</expoGain0>        <!--float -->
        <expoGain1>0.0</expoGain1>        <!--float -->
        <expoGain2>4.0</expoGain2>        <!--float -->
        <expoGain3>9.0</expoGain3>        <!--float -->
        <eisDecayPreRatio>0.1</eisDecayPreRatio>        <!--float -->
        <lumaAvgThr>30</lumaAvgThr>        <!--int -->
        <baseWqr>0.05</baseWqr>        <!--float -->
    </RecedeStabilization>

    <!--FaceDeforMation Param-->
    <FaceDeformation>
        <faceDeformationCorrectionEnable>0</faceDeformationCorrectionEnable>
        <rotationLatencyForMainAxis>4</rotationLatencyForMainAxis>
        <faceDeformationThreshlod>0.8</faceDeformationThreshlod>
        <panningCoeff>4.5</panningCoeff>
        <enterPanningCounterSelfieForFace>15</enterPanningCounterSelfieForFace>
        <exitPanningCounterSelfieForFace>15</exitPanningCounterSelfieForFace>
        <maxPanningCounterSelfie>30</maxPanningCounterSelfie>
        <minPanningCounterSelfie>0</minPanningCounterSelfie>
        <maxPanningRSCorrectionRatio>0.65</maxPanningRSCorrectionRatio>
        <minPanningRSCorrectionRatio>0.25</minPanningRSCorrectionRatio>
    </FaceDeformation>

    <FaceStabilization>
        <faceStabilizationEnable>0</faceStabilizationEnable>        <!--Int -->
        <walkingEpsilon>38</walkingEpsilon>        <!--Int -->
        <faceEpsilonUpper>400</faceEpsilonUpper>        <!--Int -->
        <faceEpsilonLower>250</faceEpsilonLower>        <!--Int -->
        <faceEpsilonRatio>0.8</faceEpsilonRatio>
        <faceEpsilonIncrementStep>6</faceEpsilonIncrementStep>        <!--Int -->
        <faceEpsilonDecrementStep>8</faceEpsilonDecrementStep>        <!--Int -->
        <faceEpsilonUpperDecrementStep>20</faceEpsilonUpperDecrementStep>        <!--Int -->
        <faceEpsilonLowerDecrementStep>20</faceEpsilonLowerDecrementStep>        <!--Int -->
        <faceMotionStd>100</faceMotionStd>        <!--Int -->
        <faceMotionIncreaseStep>50</faceMotionIncreaseStep>        <!--Int -->
    </FaceStabilization>

</EIS_TNR>
